Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Interface IFConstants

All Superinterfaces:
  XMLConstants

All Known Implementing Classes:
  IFParser, IFSerializer

    public interface IFConstants

extends XMLConstants

Constants for the intermediate format.

Field Summary
`static java.lang.String` | `EL_BORDER_RECT` element name border-rect
`static java.lang.String` | `EL_CLIP_RECT` element name clip-rect
`static java.lang.String` | `EL_DOCUMENT` element name document
`static java.lang.String` | `EL_FONT` element name font
`static java.lang.String` | `EL_GROUP` element name group
`static java.lang.String` | `EL_HEADER` element name header
`static java.lang.String` | `EL_ID` element name id
`static java.lang.String` | `EL_IMAGE` element name image
`static java.lang.String` | `EL_LINE` element name line
`static java.lang.String` | `EL_LOCALE` element name locale
`static java.lang.String` | `EL_PAGE` element name page
`static java.lang.String` | `EL_PAGE_CONTENT` element name content
`static java.lang.String` | `EL_PAGE_HEADER` element name page-header
`static java.lang.String` | `EL_PAGE_SEQUENCE` element name page-sequence
`static java.lang.String` | `EL_PAGE_TRAILER` element name page-trailer
`static java.lang.String` | `EL_RECT` element name rect
`static java.lang.String` | `EL_STRUCTURE_TREE` Parent element of the logical structure tree.
`static java.lang.String` | `EL_TEXT` element name text
`static java.lang.String` | `EL_TRAILER` element name trailer
`static java.lang.String` | `EL_VIEWPORT` element name viewport
`static java.lang.String` | `MIME_TYPE` MIME type of the intermediate format.
`static java.lang.String` | `NAMESPACE` XML namespace of the intermediate format.

Fields inherited from interface org.apache.fop.util.XMLConstants
`CDATA, XLINK_HREF, XLINK_NAMESPACE, XLINK_PREFIX, XML_NAMESPACE, XML_PREFIX, XML_SPACE, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

Field Detail

### MIME_TYPE

    static final java.lang.String MIME_TYPE

  MIME type of the intermediate format.

  See Also:
    Constant Field Values

### NAMESPACE

    static final java.lang.String NAMESPACE

  XML namespace of the intermediate format.

  See Also:
    Constant Field Values

### EL_DOCUMENT

    static final java.lang.String EL_DOCUMENT

  element name document

  See Also:
    Constant Field Values

### EL_HEADER

    static final java.lang.String EL_HEADER

  element name header

  See Also:
    Constant Field Values

### EL_TRAILER

    static final java.lang.String EL_TRAILER

  element name trailer

  See Also:
    Constant Field Values

### EL_LOCALE

    static final java.lang.String EL_LOCALE

  element name locale

  See Also:
    Constant Field Values

### EL_PAGE_SEQUENCE

    static final java.lang.String EL_PAGE_SEQUENCE

  element name page-sequence

  See Also:
    Constant Field Values

### EL_PAGE

    static final java.lang.String EL_PAGE

  element name page

  See Also:
    Constant Field Values

### EL_PAGE_HEADER

    static final java.lang.String EL_PAGE_HEADER

  element name page-header

  See Also:
    Constant Field Values

### EL_PAGE_TRAILER

    static final java.lang.String EL_PAGE_TRAILER

  element name page-trailer

  See Also:
    Constant Field Values

### EL_PAGE_CONTENT

    static final java.lang.String EL_PAGE_CONTENT

  element name content

  See Also:
    Constant Field Values

### EL_VIEWPORT

    static final java.lang.String EL_VIEWPORT

  element name viewport

  See Also:
    Constant Field Values

### EL_GROUP

    static final java.lang.String EL_GROUP

  element name group

  See Also:
    Constant Field Values

### EL_IMAGE

    static final java.lang.String EL_IMAGE

  element name image

  See Also:
    Constant Field Values

### EL_CLIP_RECT

    static final java.lang.String EL_CLIP_RECT

  element name clip-rect

  See Also:
    Constant Field Values

### EL_RECT

    static final java.lang.String EL_RECT

  element name rect

  See Also:
    Constant Field Values

### EL_LINE

    static final java.lang.String EL_LINE

  element name line

  See Also:
    Constant Field Values

### EL_BORDER_RECT

    static final java.lang.String EL_BORDER_RECT

  element name border-rect

  See Also:
    Constant Field Values

### EL_FONT

    static final java.lang.String EL_FONT

  element name font

  See Also:
    Constant Field Values

### EL_TEXT

    static final java.lang.String EL_TEXT

  element name text

  See Also:
    Constant Field Values

### EL_ID

    static final java.lang.String EL_ID

  element name id

  See Also:
    Constant Field Values

### EL_STRUCTURE_TREE

    static final java.lang.String EL_STRUCTURE_TREE

  Parent element of the logical structure tree.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.